%define api	2_90
%define major 7
%define gir_major	2.90
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary: 	A Unicode character map and font viewer
Name: 		gucharmap
Version:	3.4.1.1
Release: 	1
License: 	GPLv2+
Group: 		Publishing
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
URL: 		http://gucharmap.sourceforge.net/
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %{libname}
Summary: Main library for gucharmap
Group: System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gucharmap.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Headers for developing programs that will use gucharmap
Group: Development/GNOME and GTK+
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-gtk=3.0 \
	--enable-introspection \
	--disable-scrollkeeper 

%make LIBS='-lgmodule-2.0'

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README TODO
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/
%{_datadir}/applications/*

%files -n %{libname}
%{_libdir}/libgucharmap_%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gucharmap-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gucharmap-%{gir_major}.gir



%changelog
* Mon May 14 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.1.1-1
+ Revision: 798695
- version update .4.1.1

* Fri May 04 2012 Guilherme Moro <guilherme@mandriva.com> 3.4.1-1
+ Revision: 796350
- Updated to version 3.4.1

* Mon Mar 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.2-1
+ Revision: 782118
- new version 3.2.2
- added api lib name
- cleaned up spec

* Fri Jan 27 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 3.0.1-4
+ Revision: 769313
- rebuild do remove .la files
- remove files listed twice

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 3.0.1-3
+ Revision: 677081
- rebuild to add gconf2 as req

* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 3.0.1-2
+ Revision: 659139
- rebuild
- update to new version 3.0.1

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 3.0.0-1
+ Revision: 650497
- new version 3.0.0

* Sun Nov 14 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597522
- update to new version 2.32.1

* Sun Sep 26 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581126
- update to new version 2.32.0

* Sun Aug 29 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574131
- update to new version 2.31.91

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570619
- update to new version 2.31.90

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548513
- Release 2.30.2

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540347
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538964
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528804
- update to new version 2.30.0

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 518253
- update to new version 2.29.92

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475371
- update to new version 2.29.1

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458691
- Release 2.28.1

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 454726
- do not package huge ChangeLog

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446648
- new version
- update source URL

* Sun Aug 23 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 420161
- new version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3.1-1mdv2010.0
+ Revision: 390677
- update to new version 2.26.3.1

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3-1mdv2010.0
+ Revision: 390606
- update to new version 2.26.3

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377283
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366972
- update to new version 2.26.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355384
- update to new version 2.26.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341232
- update to new version 2.25.91

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 328727
- update to new version 2.24.3

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306430
- update to new version 2.24.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.1.1-2mdv2009.1
+ Revision: 301523
- rebuilt against new libxcb

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 2.24.1.1-1mdv2009.1
+ Revision: 298661
- update to new version 2.24.1.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295913
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286803
- new version

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277785
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263506
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231288
- update file list
- new version
- update license
- new major

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230131
- new version
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192457
- new version

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183168
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 160246
- new version
- drop patch

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152136
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-2mdv2008.1
+ Revision: 132474
- fix gconf schema installation

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 130660
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 115274
- new version
- update file list
- register gconf schema

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2008.0
+ Revision: 89466
- new version

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-2mdv2008.0
+ Revision: 78534
- new devel name
- fix icon in desktop file

